QGIS Application - Bug report #13181
random (In-)visibility Issue when using several large multispectral raster layers
2015-08-04 11:31 AM - Adrian Klink

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.10.1 Regression?: No
Operating System: Windows (64bit) Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21243
Description

When displaying several large multispectral raster layers (GeoTIFFs) at once some layers may become randomly invisible. This effect
randomly changes when display is being updated (e.g. pressing F5-key, scrolling, zooming, changing layers, scaling window).

This effect can be reproduced with several (if not all) versions of QGIS 2.x including:

QGIS 2.8.3 Wien

QGIS 2.10.1 Pisa

(effect has been randomly seen earlier with QGIS 2.0, 2.2, 2.4 and QGIS 2.6 Brighton as well)

Versions not affected by this effect:
Quantum GIS 1.8 Lisboa (and earlier versions)

Tested using (screenshots applied):
ASTER satelite scenes (EPSG:32632, WGS84 / UTM zone 32N)
e.g. 5907 x 5359 pixels, 9 bands, 16bit Int

System Used for Testing: Windows 7 (64bit) and Windows 8.1 (64bit) with 8GB Ram, Intel Core i5-4570 @ 3.2 GHz.

History

#1 - 2015-08-05 03:19 AM - Adrian Klink
- File QGIS_2_10_Pisa_Layer_settings_contrast_stretch.png added

The (in-)visibility issue only applies to a layer if contrast stretch to MinMax is enabled for this layer. If contrast stretch is disabled, there is no bug.

#2 - 2015-08-05 11:38 AM - Adrian Klink
- Status changed from Open to Closed

| found a similar problem description in an other Bug report:
Bug report #13155: A Multiband image(e.g. landsat5,7,8) cannot be displayed in windows8.

Sometimes, they can be displayed , sometimes, only white.
If they are white, Pushing Refresh button many times, then they might be displayed.

| All win7 was fine and All win8 has that problem.
| re-checked the Win 7 system and can say it is Win 8.1 only. Win 7 was just slow, when | tested first time and it took longer to display, so | falsely thought

it would also affect Win 7. Sorry for my mistake.

There was also a solution for it:

I changed to QGIS 32 bit in Windows8.

It works well.

This problem is only 64bit version.

In fact, 64bit is only available in QGIS 2.x series, Quantum GIS 1.8 was 32bit only. This explains why all older versions dont have this problem. | didn't try

2.10 with 32bit yet, but will try tomorrow.

As mentioned, the problem with 64bit only occurs when contrast stretch is enabled.

Since it seems to be same problem as Bug report #13155 this one can be closed.
